@mixin message-padding {
	padding: 15px;
	&.no-padding {
		padding: 0;
	}
}

@mixin message-font {
	font-size: 15px;
	font-weight: normal;
	font-style: normal;
	font-stretch: normal;
	line-height: 1.33;
	letter-spacing: 0.5px;
	color: #323c47;
}

@mixin message-strong {
	display: inline-block;
}

@mixin message-icon {
	.message-icon {
		width: 50px;
		&.center {
			display: flex;
			align-items: center;
		}
	}
}

@mixin message-text {
	& .message-text {
		flex: 1;
		margin-right: 50px;
		text-align: justify;

		&.no-close {
			margin-right: 0;
		}

		& > h1, & > h2, & > h3 {
			margin-bottom: 20px;
		}

		&.text-left {
			text-align: left;
		}
	}
}

.message {
	display: flex;
	position: relative;
	border-radius: 5px;
	align-items: center;
	margin-bottom: 50px;
	width: 100%;

	&.top {
		align-items: flex-start;
	}




	&.message-info {
		background: rgba($blueColor, 0.1);
		@include message-padding;
		@include message-font;
		@include message-icon;
		@include message-text;
		& > strong {
			@include message-strong;
		}
	}

	&.message-warn {
		background: rgba($yellow, 0.1);
		@include message-padding;
		@include message-font;
		@include message-icon;
		@include message-text;
		& > strong {
			@include message-strong;
		}
	}


	& > .message-close {
		cursor: pointer;
		position: absolute;
		top: 0;
		right: 0;
	}
}
